org.apache.solr.client.solrj.response

## Class TermsResponse.Term

- java.lang.Object
- - org.apache.solr.client.solrj.response.TermsResponse.Term

Enclosing class:
  TermsResponse

    public static class TermsResponse.Term
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TermsResponse.Term(String term, long frequency)`

### Method Summary

Methods
`void` `addFrequency(long frequency)`
`long` `getFrequency()`
`String` `getTerm()`
`void` `setFrequency(long frequency)`
`void` `setTerm(String term)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TermsResponse.Term

    public TermsResponse.Term(String term,
                      long frequency)

### Method Detail

#### getTerm

    public String getTerm()

#### setTerm

    public void setTerm(String term)

#### getFrequency

    public long getFrequency()

#### setFrequency

    public void setFrequency(long frequency)

#### addFrequency

    public void addFrequency(long frequency)